# $Revision: 1.14 $, $Date: 2006/07/27 17:10:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DateTime
%define		pnam	TimeZone
Summary:	DateTime::TimeZone - time zone object base class and factory
Summary(pl):	DateTime::TimeZone - podstawowe klasy obiektowe do obsugi stref czasowych
Name:		perl-DateTime-TimeZone
Version:	0.46
Release:	1
Epoch:		2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fe52d18c393d3e7841be0aba972e4e43
URL:		http://search.cpan.org/dist/DateTime-TimeZone/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
# most test skipped without DateTime >= 0.1501
BuildRequires:	perl-DateTime >= 0.15_01
BuildRequires:	perl-Params-Validate >= 0.72
%endif
Requires:	perl-Class-Singleton >= 1.03
Requires:	perl-Params-Validate >= 0.72
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class is the base class for all time zone objects. A time
zone is represented internally as a set of observances, each
of which describes the offset from GMT for a given time period.
Note that without the "DateTime.pm" module, this module does not
do much. It's primary interface is through a "DateTime" object,
and most users will not need to directly use "DateTime::TimeZone"
methods.

%description -l pl
Jest to klasa bazowa dla klas wszystkich obiektw stref czasowych.
Strefa czasowa jest reprezentowana przez zbir regu, z ktrych kada
okrela przesunicie o zadany okres czasu w stosunku do czasu
uniwersalnego (GMT). Naley zwrci uwag, e bez moduu "DateTime.pm"
modu ten nie jest w stanie wiele zdziaa. Jego podstawowym
interfejsem jest modu "DateTime" i w wikszoci przypadkw nie ma
potrzeby bezporedniego korzystania z metod "DateTime::TimeZone".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT
./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/DateTime/TimeZone*pm
%dir %{perl_vendorlib}/DateTime/TimeZone
%{perl_vendorlib}/DateTime/TimeZone/*.pm
%dir %{perl_vendorlib}/DateTime/TimeZone/Africa
%{perl_vendorlib}/DateTime/TimeZone/Africa/*.pm
%dir %{perl_vendorlib}/DateTime/TimeZone/Indian
%{perl_vendorlib}/DateTime/TimeZone/Indian/*.pm
%dir %{perl_vendorlib}/DateTime/TimeZone/Pacific
%{perl_vendorlib}/DateTime/TimeZone/Pacific/*.pm
%dir %{perl_vendorlib}/DateTime/TimeZone/Europe
%{perl_vendorlib}/DateTime/TimeZone/Europe/*.pm
%dir %{perl_vendorlib}/DateTime/TimeZone/Asia
%{perl_vendorlib}/DateTime/TimeZone/Asia/*.pm
%dir %{perl_vendorlib}/DateTime/TimeZone/America
%{perl_vendorlib}/DateTime/TimeZone/America/*.pm
%dir %{perl_vendorlib}/DateTime/TimeZone/America/Argentina
%{perl_vendorlib}/DateTime/TimeZone/America/Argentina/*.pm
%dir %{perl_vendorlib}/DateTime/TimeZone/America/Indiana
%{perl_vendorlib}/DateTime/TimeZone/America/Indiana/*.pm
%dir %{perl_vendorlib}/DateTime/TimeZone/America/Kentucky
%{perl_vendorlib}/DateTime/TimeZone/America/Kentucky/*.pm
%dir %{perl_vendorlib}/DateTime/TimeZone/America/North_Dakota
%{perl_vendorlib}/DateTime/TimeZone/America/North_Dakota/*.pm
%dir %{perl_vendorlib}/DateTime/TimeZone/Australia
%{perl_vendorlib}/DateTime/TimeZone/Australia/*.pm
%dir %{perl_vendorlib}/DateTime/TimeZone/Atlantic
%{perl_vendorlib}/DateTime/TimeZone/Atlantic/*.pm
%dir %{perl_vendorlib}/DateTime/TimeZone/Antarctica
%{perl_vendorlib}/DateTime/TimeZone/Antarctica/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DateTime-TimeZone.spec,v $
Revision 1.14  2006/07/27 17:10:22  glen
- 0.46 (Epoch: 2 due 0.3801 being "newer"), generic URL

Revision 1.13  2005/12/04 23:38:10  czucz
- updated to 0.3801

Revision 1.12  2005/11/04 10:30:22  czucz
- updated to 0.37

Revision 1.11  2005/06/02 18:44:37  qboosh
- updated to 0.36

Revision 1.10  2005/03/13 20:15:23  migo
- up to 0.34
- fiex BRs

Revision 1.9  2005/01/09 14:52:18  adamg
- updated to 0.32

Revision 1.8  2004/12/12 10:24:29  adamg
- updated to 0.31

Revision 1.7  2004/11/03 22:30:18  paladine
- formatting

Revision 1.6  2004/11/02 03:02:49  ankry
- rel. 2

Revision 1.5  2004/11/02 02:47:53  ankry
- downgrade called 'upgrade'? Epoch: 1

Revision 1.4  2004/11/01 22:25:28  adamg
- updated to 0.30

Revision 1.3  2004/04/19 22:22:15  ankry
- license/description fixes

Revision 1.2  2004/04/13 10:24:33  ankry
- pl

Revision 1.1  2004/04/13 06:34:58  agaran
- new spec, nfy
